Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.spi
Interface MUCServicePropertyEventListener

All Known Implementing Classes:
  MultiUserChatManager

    public interface MUCServicePropertyEventListener

Interface to listen for property events. Use the `MUCServicePropertyEventDispatcher.addListener(MUCServicePropertyEventListener)` method to register for events.

Author:
  Daniel Henninger

Method Summary
`void` | `propertyDeleted(String service, String property, Map<String,Object> params)` A property was deleted.
`void` | `propertySet(String service, String property, Map<String,Object> params)` A property was set.

Method Detail

### propertySet

    void propertySet(String service,
                     String property,
                     Map<String,Object> params)

  A property was set. The parameter map `params` will contain the the value of the property under the key `value`.

  Parameters:
    `service` - the subdomain of the service the property was set on.
    `property` - the name of the property.
    `params` - event parameters.

### propertyDeleted

    void propertyDeleted(String service,
                         String property,
                         Map<String,Object> params)

  A property was deleted.

  Parameters:
    `service` - the subdomain of the service the property was deleted from.
    `property` - the name of the property deleted.
    `params` - event parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.